﻿Imports System.Windows.Messaging

Partial Public Class MainPage
    Inherits UserControl

    'メッセージ送信インスタンス
    Dim messageSender As LocalMessageSender = New LocalMessageSender("receiver1")

    'コンストラクタ
    Public Sub New()
        InitializeComponent()
    End Sub

    'メニュークリック時のイベント・ハンドラ
    Private Sub Menu_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
        'メッセージ送信インスタンスで、クリックされたメニューの
        '名前をメッセージとして送信する
        messageSender.SendAsync(CType(sender, Button).Name)

        '選択状態のスタイルを設定
        SetSelectedStyle(CType(sender, Button))
    End Sub

    '選択状態のスタイルを設定
    Private Sub SetSelectedStyle(ByVal button As Button)

        For Each b As Button In Menu.Children

            'スタイル名の判定する
            Dim styleKey As String = "Menu"
            If b Is button Then
                styleKey = "MenuSelected"
            End If

            '動的にスタイルを設定する
            b.Style = CType(Me.Resources(styleKey), Style)
        Next

    End Sub

End Class